Get survey results

Returns one row for each time a survey was opened, started, or completed. Optionally, use the include_answers parameter to also return survey answers.

If you are interested only in returning survey completions (results), you should add a filter to return only rows with type=Result. While you can use this endpoint to view all answers in a survey result, you can't query the endpoint based on the answers. To query survey answers, you can use GET /user-sentiment/results/answers/raw.

You can either:

  • Use query to use an OpenSearch query. Note that you can't create an OpenSearch query using the request builder built into the documentation.
  • Use the remaining query parameters to query your survey results.

Required permissions:

  • View, Create, Edit and Delete Surveys
  • View Results from other Users surveys
Query Params
boolean
Defaults to false

Sets whether to return the answers to each survey question.

query
object

An OpenSearch query.

integer
≤ 10000
Defaults to 10000

The number of rows returned per page. The maximum is 10000 rows per page. To return more than 10000 rows on a single page, use the export parameter.

integer
Defaults to 1

The page returned. The number of rows per page is set with the size parameter.

integer

The index of the rows array to start returning data from. The array index starts at 0. For example, if you set from = 2, the first two rows are excluded.

string

Filters the returned data based on the specified field name. This parameter must be used in combination with filters[0][type] and filters[0][value] to define a filter condition.
You can add multiple filter conditions by changing the integer in the parameter names (for example, filters[1][field]).

string
enum

The type of filter used in corresponding filter condition. The type of filter you can use depends on the data type of the field.


<, <=, =, !=, <=, or > are used to filter numbers and dates.

boolean is used to filter boolean fields.

like is used to filter text fields.

The value used in the corresponding filter condition. The value you can use depends on the filter type.


If you are filtering a date or text field, enter a string. If you are filtering a number field, enter a number. If you are filtering a boolean field, enter a boolean. If you are filtering a text field, you can use * as a wildcard, or begin the string with !! to exclude items that contain the string.

string

Sorts the returned data based on the specified field name. This parameter must be used in combination with sorters[0][dir] to set the sort order.
You can sort by more than one field by changing the integer in the parameter names (for example, sorters[1][field]). Sorters with a lower integer are applied first.

string
enum

The sort order for the corresponding field. Set to asc for ascending, or desc for descending.

Allowed:
Responses

500

Something went wrong at the API service.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json